# CanvasBox class

inherited from: | Box
protocols: | AutoRelease
package: | gui
declared in: | gui/interface/CanvasBox.tcl
implemented in: | gui/implementation/CanvasBox.tcl

- instance variables
  - canvas
  - scrollLock
  - xscroll
  - yscroll
  - zoom
  - zoomFactor
  - zoomingId
- instance selectors
  - busy
  - canvas
  - canvasBackground
  - canvasBackground:
  - startUnZooming
  - startZooming
  - stopZooming
  - unZooming
  - unbusy
  - unzoom
  - zoom
  - zoomFactor
  - zoomFactor:
  - zoomReset
  - zoomSync
  - zooming